Get Loyalty Tiers
curl --request GET \
--url https://api.example.com/cabinet/promo/loyalty-tiers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/promo/loyalty-tiers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/promo/loyalty-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tiers": [
{
"id": 123,
"name": "<string>",
"threshold_rubles": 123,
"server_discount_percent": 0,
"traffic_discount_percent": 0,
"device_discount_percent": 0,
"period_discounts": {},
"is_current": false,
"is_achieved": false
}
],
"current_spent_rubles": 123,
"current_tier_name": "<string>",
"next_tier_name": "<string>",
"next_tier_threshold_rubles": 123,
"progress_percent": 0
}Cabinet Promo
Get Loyalty Tiers
Get all loyalty tiers (promo groups with auto-assign thresholds) and user’s progress.
GET
/
cabinet
/
promo
/
loyalty-tiers
Get Loyalty Tiers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
⌘I
